/* gcjwebplugin - Webbrowser plugin to execute Java (tm) applets.
   Copyright (C) 2003  Michael Koch <konqueror@gmx.de>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version. */


package gnu.gcjwebplugin;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Frame;
import java.awt.TextArea;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ConsoleDialog extends Frame implements ActionListener
{
  private TextArea textArea;

  public ConsoleDialog()
  {
    super("gcjwebpluging console");

    setSize(400, 200);
    setLayout(new BorderLayout());

    textArea = new TextArea();
    textArea.setEditable(false);
    add(textArea);

    Button button = new Button("Hide");
    button.addActionListener(this);
    add(button, BorderLayout.SOUTH);
  }

  public void print(String message)
  {
    textArea.append(message);
  }

  public void println(String message)
  {
    print(message + "\n");
  }

  public void actionPerformed(ActionEvent event)
  {
    hide();
  }

  public void print (String text, String encoding)
  {
  }
}
