import java.applet.*;
import java.io.*;
import java.util.*;
import java.net.*;

public class TestAppletNamed3 extends Applet
{
  public String getName ()
  {
    return "test applet 3";
  }

  public void init () throws java.io.IOException
  {
    System.out.println ("TestAppletNamed3.init");

    // Assume the other two applets have loaded by now.  That is,
    // applets named 1 and 2 should appear before 3 in the html file.
    AppletContext ac = getAppletContext ();

    if (ac == null)
      {
	System.err.println ("error: applet context in applet 3 is null");
	return;
      }

    // Test that setStream works.
    ac.setStream ("applet 3 stream 1", new PipedInputStream ());

    // Test that addApplet worked and that getApplet works.
    Applet a1 = ac.getApplet ("test applet 1");

    System.out.println ("called AppletContext.getApplet, got: " + a1.getName ());

    // Test that getApplets works.
    Enumeration e = ac.getApplets ();
    while (e.hasMoreElements ())
      System.out.println ("called AppletContext.getApplets, got: " + ((Applet) e.nextElement ()).getName ());

    // Test that getStream works.
    InputStream is = ac.getStream ("applet 1 stream 2");

    if (is != null)
      System.out.println ("called AppletContext.getStream, got: applet 1 stream 2");

    // Test that getStreamKeys works.
    Iterator i = ac.getStreamKeys ();

    while (i.hasNext ())
      System.out.println ("called AppletContext.getStreamKeys, got: " + (String) i.next ());

    // Test that showDocument methods can be called.
    ac.showDocument (null);
    ac.showDocument (null, "_self");

    // Test that showStatus doesn't throw an exception.
    ac.showStatus ("applets running");
  }

  public void start ()
  {
    System.out.println ("TestAppletNamed3.start");
  }
}
